package com.ssm.service.system;

import java.util.List;

import com.ssm.model.system.SysDictionary;
import com.ssm.util.page.PagedResult;

public interface SysDictionaryService {
	/**
	 * 根据命名空间查询 常量
	 * @param namespace
	 * @return
	 */
	List<SysDictionary> selectByNamespace(String namespace);
	
	List<SysDictionary> selectByEnabledNamespace(String namespace);
	
	List<SysDictionary> selectConstCategory();
	
	public PagedResult<SysDictionary> findByCondition(SysDictionary record, Integer pageNo, Integer pageSize);
	
	public PagedResult<SysDictionary> selectByCondition(SysDictionary record, Integer pageNo, Integer pageSize);
	
	SysDictionary selectByNamespaceAndValue(String namespace, String value); 
	
	int saveSysDictionary(SysDictionary record);
	
	SysDictionary selectById(Integer id);
	
	int updateSysDictionary(SysDictionary record);

	/**
	 * 查询字典表中所有的技能关键字
	 * @param parseResumeSkill
	 * @return
	 */
	List<SysDictionary> selectByAllKeyword(String parseResumeSkill);
}
